Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/ShipSelectionMenu.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/ShipSelectionMenu.layout	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/gui/layouts/ShipSelectionMenu.layout	(revision 11793)
@@ -1,63 +1,36 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/ShipSelectionBackground" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <!-- -->
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/ShipSelectionWindow" >
-            <Property Name="Text" Value="ShipSelection" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2,0},{0.15,0},{0.8,0},{0.7,0}}" />
-            <Window Type="MenuWidgets/TabControl" Name="orxonox/ShipSelectionTabControl" >
-                <Property Name="TabHeight" Value="{0,26.4388}" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="TabPanePosition" Value="Top" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.1,0},{0.95,0},{0.925,0}}" />
-
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="ShipSelectionBackground" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="ShipSelectionWindow" type="MenuWidgets/StaticText">
+            <Property name="Text" value="ShipSelection" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.2,0},{0.15,0},{0.8,0},{0.7,0}}" />
+            <Window name="ShipSelectionTabControl" type="MenuWidgets/TabControl">
+                <Property name="TabHeight" value="{0,26.4388}" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="TabPanePosition" value="Top" />
+                <Property name="Area" value="{{0.05,0},{0.1,0},{0.95,0},{0.925,0}}" />
             </Window>
-
-            <!-- TODO: Ship Description and Image
-            <Window Type="MenuWidgets/StaticImage" Name="orxonox/ShipSelectionShipImage" >
-                <Property Name="AlwaysOnTop" Value="True" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.55,0},{0.25,0},{0.9,0},{0.675,0}}" />
-            </Window>
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/ShipSelectionLevelDescription" >
-                <Property Name="AlwaysOnTop" Value="True" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertScrollbar" Value="True" />
-                <Property Name="HorzScrollbar" Value="True" />
-                <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.725,0},{0.9,0},{0.875,0}}" />
-            </Window>-->
-
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/ShipSelectionStartButton" >
-            <Property Name="Text" Value="Start" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.725,0},{0.4,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="ShipSelectionMenu.ShipSelectionStartButton_clicked"/>
+        <Window name="ShipSelectionStartButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Start" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.25,0},{0.725,0},{0.4,0},{0.775,0}}" />
+            <Event function="ShipSelectionMenu.ShipSelectionStartButton_clicked" name="Clicked" />
         </Window>
-        <!-- TODO: set ship properties
-        <Window Type="MenuWidgets/Button" Name="orxonox/ShipSelectionConfigButton" >
-            <Property Name="Text" Value="Configure" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.425,0},{0.725,0},{0.575,0},{0.775,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="ShipSelectionMenu.ShipSelectionConfigButton_clicked"/>
-        </Window> -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/ShipSelectionBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.725,0},{0.75,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="ShipSelectionMenu.ShipSelectionBackButton_clicked"/>
+        <Window name="ShipSelectionBackButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Back" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.6,0},{0.725,0},{0.75,0},{0.775,0}}" />
+            <Event function="ShipSelectionMenu.ShipSelectionBackButton_clicked" name="Clicked" />
         </Window>
     </Window>
